## IAnjutaMarkable

IAnjutaMarkable — Implemented by editors (or views) with markers support

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/interfaces/ianjuta-markable.h>

    #define             IANJUTA_TYPE_MARKABLE_ERROR
    #define             IANJUTA_TYPE_MARKABLE_MARKER
    enum                IAnjutaMarkableError;
    enum                IAnjutaMarkableMarker;
    #define             IANJUTA_MARKABLE_ERROR
                        IAnjutaMarkable;
                        IAnjutaMarkableIface;

## Object Hierarchy

      GInterface
       +----IAnjutaMarkable

## Prerequisites

IAnjutaMarkable requires GObject.

## Signals

      "marker-clicked"                                 : Run Last

## Description

## Details

### IANJUTA_TYPE_MARKABLE_ERROR

    #define IANJUTA_TYPE_MARKABLE_ERROR (ianjuta_markable_error_get_type())

### IANJUTA_TYPE_MARKABLE_MARKER

    #define IANJUTA_TYPE_MARKABLE_MARKER (ianjuta_markable_marker_get_type())

### enum IAnjutaMarkableError

    typedef enum {
    	IANJUTA_MARKABLE_INVALID_LOCATION
    } IAnjutaMarkableError;

### enum IAnjutaMarkableMarker

    typedef enum {
    	IANJUTA_MARKABLE_LINEMARKER,
    	IANJUTA_MARKABLE_BOOKMARK,
    	IANJUTA_MARKABLE_BREAKPOINT_DISABLED,
    	IANJUTA_MARKABLE_BREAKPOINT_ENABLED,
    	IANJUTA_MARKABLE_PROGRAM_COUNTER
    } IAnjutaMarkableMarker;

### IANJUTA_MARKABLE_ERROR

    #define IANJUTA_MARKABLE_ERROR ianjuta_markable_error_quark()

### IAnjutaMarkable

    typedef struct _IAnjutaMarkable IAnjutaMarkable;

### IAnjutaMarkableIface

    typedef struct _IAnjutaMarkableIface IAnjutaMarkableIface;

## Signal Details

### The `"marker-clicked"` signal

    void                user_function                      (IAnjutaMarkable *ianjutamarkable,
                                                            gboolean         arg1,
                                                            gint             arg2,
                                                            gpointer         user_data)            : Run Last

`ianjutamarkable` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.